import request from '@/utils/request'

// 查询宠物品种列表
export function listAppPetsBread(query) {
  return request({
    url: '/model/AppPetsBread/list',
    method: 'get',
    params: query
  })
}

// 查询宠物品种详细
export function getAppPetsBread(petBreadId) {
  return request({
    url: '/model/AppPetsBread/' + petBreadId,
    method: 'get'
  })
}

// 新增宠物品种
export function addAppPetsBread(data) {
  return request({
    url: '/model/AppPetsBread',
    method: 'post',
    data: data
  })
}

// 修改宠物品种
export function updateAppPetsBread(data) {
  return request({
    url: '/model/AppPetsBread',
    method: 'put',
    data: data
  })
}

// 删除宠物品种
export function delAppPetsBread(petBreadId) {
  return request({
    url: '/model/AppPetsBread/' + petBreadId,
    method: 'delete'
  })
}
